Subject: Re: mmotm 2021-06-01-19-57 uploaded (xillybus)

From: Eli Billauer <[email-masked]>
Date: Thu, 03 Jun 2021 13:40:09 +0300

On 02/06/21 08:00, Greg Kroah-Hartman wrote:
>> (on i386)
>> >  
>> >  CONFIG_XILLYBUS_CLASS=y
>> >  CONFIG_XILLYBUS=m
>> >  CONFIG_XILLYUSB=y
>> >  
>> >  ERROR: modpost: "xillybus_cleanup_chrdev" [drivers/char/xillybus/xillybus_core.ko] undefined!
>> >  ERROR: modpost: "xillybus_init_chrdev" [drivers/char/xillybus/xillybus_core.ko] undefined!
>> >  ERROR: modpost: "xillybus_find_inode" [drivers/char/xillybus/xillybus_core.ko] undefined!
>> >  
>> >  
>> >  Full randconfig file is attached.
>>      
> Sorry about that, I have a fix in my inbox for this that I will push out
> later today...
>    
For the record, this is the said pending patch:

https://lkml.org/lkml/2021/5/28/245

I've tested this issue, and can confirm the compilation problem and that 
the patch fixes it.

Regards,
    Eli